package dz.pm.dz5.task;

/**
 * Придумать как хранить в postgres следующую архитектуру:
 * Ирина, подруга Пети, решила создать свой бизнес по продаже цветов. Начать
 * она решила с самых основ: создать соответствующую базу данных для своего
 * бизнеса. Она точно знает, что будет продавать Розы по 100 золотых монет за
 * единицу, Лилии по 50 и Ромашки по 25.
 * Помимо этого, ей хочется хранить данные своих покупателей (естественно они
 * дали согласие на хранение персональной информации). Сохранять нужно Имя
 * и Номер телефона.
 * И, конечно, данные самого заказа тоже нужно как-то хранить! Ирина пока не
 * продумала поля, но она точно хочет следовать следующим правилам:
 * ● в рамках одного заказа будет продавать только один вид цветов
 * (например, только розы)
 * ● в рамках одного заказа можно купить от 1 до 1000 единиц цветов.
 *
 * А также она представляет, какие запросы хочет делать к базе:
 * 1. По идентификатору заказа получить данные заказа и данные клиента,
 * создавшего этот заказ
 * 2. Получить данные всех заказов одного клиента по идентификатору
 * клиента за последний месяц
 * 3. Найти заказ с максимальным количеством купленных цветов, вывести их
 * название и количество
 * 4. Вывести общую выручку (сумму золотых монет по всем заказам) за все
 * время
 *
 * Выполненное домашнее задание должно содержать:
 * 1. Sql-скрипты создания таблиц с необходимыми связями
 * 2. Sql-скрипты наполнения таблиц (тестово добавить несколько строк данных для
 * последующей проверки select’ов)
 * 3. Sql-скрипты получения данных в соответствии с условием
 */

public class Main {
}
